GPL(3NCARG)

NAME
GPL (Polyline) - This output primitive draws line segments connecting a sequence of user-specified coordinate pairs.

SYNOPSIS
CALL GPL (N, X, Y)

C-BINDING SYNOPSIS
#include <ncarg/gks.h>

void gpolyline(const Gpoint_list *point_list);

DESCRIPTION

N   (Integer, Input) - The number of points in the line to be drawn. N must be larger than one.

X (N)
    (Real Array, Input) - The X coordinates (specified in world coordinates) of the N points to be connected by line segments.

Y (N)
    (Real Array, Input) - The Y coordinates (specified in world coordinates) of the N points to be connected by line segments.

USAGE
Note that the coordinate pairs must be in world coordinates and not user coordinates. Among other things, this means that the log scaling and mirror-imaging features available via the SET call and the SPPS functions for drawing lines are not applicable here.

ACCESS
To use GKS routines, load the NCAR GKS-0A library ncarg_gks.

SEE ALSO
Online: gsln, gslwsc, gscr, gsplci, gqln, gqlwsc, gqplci, dashline, set, gpolyline

Hardcopy: User's Guide for NCAR GKS-0A Graphics; NCAR Graphics Fundamentals, UNIX Version "The Use of X/Y Coordinates in NCAR Graphics" SCD User Document"

COPYRIGHT
Copyright (C) 1987-2009
University Corporation for Atmospheric Research
The use of this Software is governed by a License Agreement.